body {
  font-family: -apple-system, BlinkMacSystemFont, "segoe ui", Verdana, Roboto, "helvetica neue", Arial, sans-serif, "apple color emoji";
  font-size: 14px; 
  margin: 0;
  background: #222;
  color: #fff;
}

@font-face {
  font-family: 'fontello';
  src: url('./font/fontello.eot?78273339');
  src: url('./font/fontello.eot?78273339#iefix') format('embedded-opentype'),
       url('./font/fontello.woff?78273339') format('woff'),
       url('./font/fontello.ttf?78273339') format('truetype'),
       url('./font/fontello.svg?78273339#fontello') format('svg');
  font-weight: normal;
  font-style: normal;
}
 
.icon
{
  font-family: "fontello";
  font-style: normal;
  font-weight: normal;
  speak: none;
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  font-variant: normal;
  text-transform: none;
  line-height: 1em;
  margin-left: .2em;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.main{
  background: #222;
  color: #fff;
  max-width: 300px;
  height: 100%;
  border-radius:10px;
  border-style: solid;
  border-color: #fff;
  padding: 10px;
  margin-top: 10%;
  margin-left:auto;
  margin-right:auto;
  transition: 0.3s;
  text-align:center;
  min-height:300px;
  animation: fadein 1s;
  -moz-animation: fadein 1s; /* Firefox */
  -webkit-animation: fadein 1s; /* Safari and Chrome */
  -o-animation: fadein 1s; /* Opera */

  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
}

.main:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(4px);
  -webkit-filter: blur(4px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button 20s linear infinite;
  transition: opacity 0.2s ease-in-out;
  border-radius: 13px;
}

.main:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #222;
  left: 0;
  top: 0;
  border-radius: 10px;
}


.box{
  margin-bottom:2px;
  text-align:center;
}

.brand{
  color:#fff;
  padding:0px;
  margin:10px;
  font-size:32px;
  border-bottom: solid 2px #fff;
}

.login-form input[type="text"],
.login-form input[type="password"] {
  background: none;
  border: 1px solid white;
  outline: none;
  border-radius: 20px;
  color: white;
  padding: 9px;
  margin: 30px auto;
  text-align: center;
  width: 170px;
}

.login-form input[type="text"]:focus,
.login-form input[type="password"]:focus {
  border: 2px solid rgb(128, 0, 122);
}

.login-form input[type="submit"] {
  padding: 7px 20px;
  background: rgba(0, 0, 0, 0.5);
  border: 1px solid white;
  border-radius: 5px;
  outline: none;
  color: white;
  width: 170px;
}

.login-form input[type="submit"]:hover {
  border: 0px;
  color: rgb(128, 0, 122);
  box-shadow: 3px 3px 8px rgb(128, 0, 122);
}

.login-form i {
  position: absolute;
  margin: 35px 0px 0 -35px;
}

.visibility:hover {
  cursor: pointer;
  color: #0038EF;
}

.username {
  background-color: #FDFBFB;
  border: none;
  border-radius:3px;
  border-bottom: 2px solid #f2f2f2;
  text-align:center;
  font-size: 16px;
  color: #000000;
  outline: none;
  width: 99%;
  height: 35px;
}

.password {
  background-color: #FDFBFB;
  border: none;
  border-radius:0px 0px 3px 3px;
  border-top: 2px solid #f2f2f2;
  text-align:center;
  font-size: 16px;
  color: #000000;
  outline: none;
  width: 99%;
  height: 35px;
}

.button {
  padding: 0.6em 2em;
  border: none;
  outline: none;
  color: rgb(255, 255, 255);
  background: #111;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 6px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  height: 40px;
  width: 100%;
  display: inline-block;
  font-size: 16px;
  margin-top: 20px;
  margin-bottom: 2px;
}

.button:hover{
  font-weight:bold;
  box-shadow: 0 10px 15px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.button:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button 20s linear infinite;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}

.button:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #222;
  left: 0;
  top: 0;
  border-radius: 10px;
}

.buttons {
  padding: 0.6em 2em;
  border: black;
  outline: 6px;
  color: rgb(224, 255, 230);
  background: rgb(224, 255, 230);
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 6px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  height: 40px;
  width: 100%;
  display: inline-block;
  font-size: 15px;
  margin-top: 20px;
  margin-bottom: 2px;
}

.buttons:hover{
  font-weight:bold;
  box-shadow: 0 10px 15px 0 rgb(224, 255, 230)), 0 6px 20px 0 rgb(224, 255, 230);
}


.buttons:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -1px;
  left: -1px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  -webkit-filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing-button 20s linear infinite;
  transition: opacity 0.3s ease-in-out;
  border-radius: 10px;
}

.buttons:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #222;
  left: 0;
  top: 0;
  border-radius: 10px;
}


.small-button {
  padding: 0.10em 2em;
  border: #111;
  outline: black;
  color: rgb(255, 255, 255);
  background: linear-gradient(45deg,#FF4E50,#40C0CB);
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 6px;
  user-select: none;
  vertical-align: middle;
  text-decoration: black;
  display: inline-block;
  -webkit-user-select: none;
  touch-action: manipulation;
  height: 30px;
  width: 48%;
}

.small-button:hover{
  font-weight:bold;
  box-shadow: 0 15px 20px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}


@keyframes glowing-button {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 400% 0;
  }
  100% {
    background-position: 0 0;
  }
}

.notice{
  background-color: #ce0f0f;
  border-radius:3px;
  padding:5px;
  margin-bottom:10px;
  font-size:14px;
  font-style: italic;
  color: #fff;
}

.info{
  background-color: rgba(0, 0, 0, 0.19);
  background-image: rgba(0, 0, 0, 0.19);
  border-radius:4px;
  padding:3px;
  margin-bottom:9px;
  font-size:15px;
  color: linear-gradient(45deg,#FF4E50,#40C0CB);
}

.footer {
   position:relative;
   bottom:0;
   height:10px;   /* Height of the footer */
   color: #e8e8e8;
   cursor: pointer;
   transition: .5s;
}

.table {
  width: 100%;
  border-collapse: collapse !important;
}
.table td,
.table th {
  padding: 5px;
  border: 1px solid #fff !important;
  color:  #fff;
}

.table td, th, a{
  color: #fff;
  text-decoration: none;
}

.table2 {
  width: 100%;
  border-collapse: collapse !important;
  background-color: #fff;
  text-align:left;
}
.table2 td,
.table2 th {
  padding: 5px;
  border: 1px solid #000 !important;
}

.table2 td, th, a{
  color: #000;
  text-decoration: none;
}

.foto-container {
  width: 100%;          /* Lebar container mengikuti area luar */
  max-width: 400px;     /* Batas lebar maksimal kotak */
  height: 300px;        /* Tinggi kotak foto */
  overflow: hidden;     /* Potong bagian foto yang keluar dari kotak */
  border-radius: 8px;   /* Membuat sudut melengkung (opsional) */
  border: 2px solid #ccc;
}

.foto-container img {
  width: 100%;          /* Foto memenuhi lebar container */
  height: 100%;         /* Foto memenuhi tinggi container */
  object-fit: cover;    /* FOTO TETAP PROPORSIONAL (Sangat Penting!) */
  display: block;
}

/*----------------------------------NEW

/* LOGO */
.logo-text {
    position: fixed;
    top: 13.5%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #00eaff;
    padding: 5px 0;

    text-shadow:
        0 0 5px #00eaff,
        0 0 15px #00eaff,
        0 0 25px #007bff;
}

/* BELI ONLINE (HALUS) */
.buy-btn {
    margin-top: 12px;
    padding: 14px;
    width: 100%;
    border-radius: 8px;
    border: none;
    background: linear-gradient(45deg,#FF4E50,#40C0CB);
    color: white;
    font-weight: bold;
    cursor: pointer;

    animation: blinkSmooth 4s ease-in-out infinite;
}

@keyframes blinkSmooth {
    0%   { opacity: 1; transform: scale(1); }
    50%  { opacity: 0.6; transform: scale(1.03); }
    100% { opacity: 1; transform: scale(1); }
}
/* CSS Kedip | Teks | Objek 
(Chrome, Safari, Firefox, IE, ...)
*/
@-webkit-keyframes blinker-logo {
  from {opacity: 1.0;}
  to {opacity: 0.1;}
}
.logo-blink{
	text-decoration: logo-blink;
	-webkit-animation-name: blinker-logo;
	-webkit-animation-duration: 0.1s;
	-webkit-animation-iteration-count:infinite;
	-webkit-animation-timing-function:ease-in-out;
	-webkit-animation-direction: alternate;
}


@-webkit-keyframes blinker {
  from {opacity: 1.0;}
  to {opacity: 0.3;}
}
.blink{
	text-decoration: blink;
	-webkit-animation-name: blinker;
	-webkit-animation-duration: 1s;
	-webkit-animation-iteration-count:infinite;
	-webkit-animation-timing-function:ease-in-out;
	-webkit-animation-direction: alternate;
}

/* css ini di buat oleh altra */

/*----------------------------------BATAS NEW

@keyframes fadein {
  from {opacity:0;}
  to {opacity: 1;}
}
@-moz-keyframes fadein { /* Firefox */
  from {opacity:0;}
  to {opacity: 1;}
}
@-webkit-keyframes fadein { /* Safari and Chrome */
  from {opacity:0;}
  to {opacity: 1;}
}
@-o-keyframes fadein { /* Opera */
  from {opacity:0;}
  to {opacity: 1;}
}

/* @media */
@media screen and (max-width: 600px) {
  .main{
	width:90%;
    margin-top: 10%;
}}

/* @media */
@media screen and (min-width: 600px) {
  .main{
	margin-top: 2%;
}}
